# -------------------------------------------------------------
# schema: group
# v4.0
# -------------------------------------------------------------

- classname: _schema
  keyname: group
  _action: init
  is_enabled: yes
  displayname: Groups
  _options:
      icon: fa-users
      p_admin: p_group_admin
      p_create: p_group_create
      p_read: p_group_read
      p_update: p_group_update
      p_delete: p_group_delete
      field_hide_from_detail: 
      - users
      - subgroups

  description:
      displayname: Description
      order: 100
      dataformat: string

  is_builtin:
    displayname: Builtin
    dataformat: boolean

  users:
      displayname: Users
      dataformat: schema
      dataformat_ext: user
      cardinal_max: 0

  subgroups:
      displayname: Subgroups
      dataformat: schema
      dataformat_ext: group
      cardinal_max: 0

  autogroup:
      displayname: Autgroup Rule
      description: Rule for autogroup provisioning
      dataformat: string

  autogroup_users:
      displayname: Autogroup Users
      dataformat: schema
      dataformat_ext: user
      cardinal_max: 0

